<?php
	class Lib {
		protected $_ci;

		function __construct() {
			$this->_ci = &get_instance(); //Untuk Memanggil function load, dll dari CI. ex: $this->load, $this->model, dll
		}


function bulannya($bulan)
{
Switch ($bulan){
    case '01' : $bulan="Januari";
        Break;
    case '02' : $bulan="Februari";
        Break;
    case '03' : $bulan="Maret";
        Break;
    case '04' : $bulan="April";
        Break;
    case '05' : $bulan="Mei";
        Break;
    case '06' : $bulan="Juni";
        Break;
    case '07' : $bulan="Juli";
        Break;
    case '08' : $bulan="Agustus";
        Break;
    case '09' : $bulan="September";
        Break;
    case '10' : $bulan="Oktober";
        Break;
    case '11' : $bulan="November";
        Break;
    case '12' : $bulan="Desember";
        Break;
    }
return $bulan;
}

# Fungsi untuk membalik tanggal dari format English -> Indo
function IndonesiaTgl($tanggal){
	$tgl=substr($tanggal,8,2);
	$bln=substr($tanggal,5,2);
	$thn=substr($tanggal,0,4);
	$awal="$tgl-$bln-$thn";
	return $awal;
}

# Fungsi untuk membalik tanggal dari format English -> Indo
function IndonesiaTgl1($tanggal){
	$tgl=substr($tanggal,8,2);
	$bln=substr($tanggal,5,2);
	$bulan1=$this->bulannya($bln);
	$thn=substr($tanggal,0,4);
	$some_time = mktime(substr($tanggal,11,2), substr($tanggal,14,2), substr($tanggal,17,3), substr($tanggal,5,2), substr($tanggal,8,2), substr($tanggal,0,4));
	$jam=date('H:i:s', $some_time);
	if($jam=='00:00:00'){
		$awal="$tgl $bulan1 $thn";
	}else{
		$awal="$tgl $bulan1 $thn $jam";
	}
	
	return $awal;
}


	}

?>
